Package org.bukkit.command.defaults

# Class BukkitCommand

java.lang.Object
org.bukkit.command.Command
org.bukkit.command.defaults.BukkitCommand

Direct Known Subclasses:
  `HelpCommand`, `PluginsCommand`, `ReloadCommand`, `TimingsCommand`, `VersionCommand`

public abstract class BukkitCommand extends Command

## Field Summary

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BukkitCommand(@NotNull String name)`
`protected`
`BukkitCommand(@NotNull String name, @NotNull String description, @NotNull String usageMessage, @NotNull List<String> aliases)`

## Method Summary

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, execute, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, permissionMessage, permissionMessage, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, tabComplete, testPermission, testPermissionSilent, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BukkitCommand

protected BukkitCommand(@NotNull @NotNull String name)

### BukkitCommand

protected BukkitCommand(@NotNull @NotNull String name, @NotNull @NotNull String description, @NotNull @NotNull String usageMessage, @NotNull @NotNull List<String> aliases)